Create Account Connection
curl --request POST \
--url https://api.vocode.dev/v1/account_connections/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credentials": {
"twilio_account_sid": "<string>",
"twilio_auth_token": "<string>"
},
"type": "account_connection_twilio",
"steering_pool": [
"<string>"
],
"account_supports_any_caller_id": false
}
'import requests
url = "https://api.vocode.dev/v1/account_connections/create"
payload = {
"credentials": {
"twilio_account_sid": "<string>",
"twilio_auth_token": "<string>"
},
"type": "account_connection_twilio",
"steering_pool": ["<string>"],
"account_supports_any_caller_id": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
credentials: {twilio_account_sid: '<string>', twilio_auth_token: '<string>'},
type: 'account_connection_twilio',
steering_pool: ['<string>'],
account_supports_any_caller_id: false
})
};
fetch('https://api.vocode.dev/v1/account_connections/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credentials": {
"twilio_account_sid": "<string>",
"twilio_auth_token": "<string>"
},
"type": "account_connection_twilio",
"steering_pool": [
"<string>"
],
"account_supports_any_caller_id": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Account Connections
Create Account Connection
POST
/
v1
/
account_connections
/
create
Create Account Connection
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- TwilioAccountConnectionParams
- OpenAIAccountConnectionParams
Response
Successful Response
- TwilioAccountConnection
- OpenAIAccountConnection
Show child attributes
Show child attributes
Available options:
account_connection_twilio Allowed value:
"account_connection_twilio"⌘I
